GHEAD(1L)

NAME
head - output the first part of files

SYNOPSIS
head [-b #] [-c #] [-n #] [-qv] [+blocks #] [+bytes #] [+lines #] [+quiet] [+silent] [+verbose] [file...] head [-#bclqv] [file...]

DESCRIPTION
This manual page documents the GNU version of head. head prints the first part (10 lines by default) of each given file; it reads from standard input if no files are given or when a filename of `-' is encountered. If more than one file is given, it prints a header consisting of the file's name enclosed in `==>' and `<==' before the output for each file. It accepts two option syntaxes: one in which numbers are arguments to the option letters, and one in which the number precedes any option letters.

  OPTIONS

-b, +blocks #
    Print first # 512-byte blocks.

-c, +bytes #
    Print first # bytes.

-l, -n, +lines #
    Print first # lines.

-q, +quiet, +silent
    Never print filename headers.

-v, +verbose
    Always print filename headers.